# Uses of Class
org.apache.felix.webconsole.spi.ValidationException

Packages that use ValidationException
Package
Description
org.apache.felix.webconsole.spi

## Uses of ValidationException in org.apache.felix.webconsole.spi

Methods in org.apache.felix.webconsole.spi that throw ValidationException
Modifier and Type
Method
Description
`void`
ConfigurationHandler.`createConfiguration(String pid)`
A new configuration with that pid should be created
`void`
ConfigurationHandler.`createFactoryConfiguration(String factoryPid, String name)`
A new factory configuration with that pid should be created
`void`
ConfigurationHandler.`deleteConfiguration(String factoryPid, String pid)`
A configuration should be deleted
`void`
ConfigurationHandler.`updateConfiguration(String factoryPid, String pid, Dictionary<String,Object> props)`
A configuration should be updated